Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.util
Class ListUtil

    java.lang.Object
      org.apache.fop.util.ListUtil

    public final class ListUtil

extends java.lang.Object

Provides helper functions for `List`.

Method Summary
`static
`<T> T`
` | `getLast(java.util.List<T> list)` Retrieve the last element from a list.
`static
`<T> T`
` | `removeLast(java.util.List<T> list)` Retrieve and remove the last element from a list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getLast

    public static <T> T getLast(java.util.List<T> list)

  Retrieve the last element from a list.

  Type Parameters:
    `T` - the type of objects stored in the list
  Parameters:
    `list` - the list to work on
  Returns:
    last element

### removeLast

    public static <T> T removeLast(java.util.List<T> list)

  Retrieve and remove the last element from a list.

  Type Parameters:
    `T` - the type of objects stored in the list
  Parameters:
    `list` - the list to work on
  Returns:
    previous last element

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.